Cmc.log - error traceback

FYI:

OMD - Open Monitoring Distribution Version 2.0.0b4.cee.demo

==> cmc.log <==
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log] Traceback (most recent call last):
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/plugins/agent_based/hr_mem.py", line 48, in pre_parse_hr_mem
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     map_type = map_types[hrtype]
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log] KeyError: ''
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log] During handling of the above exception, another exception occurred:
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log] Traceback (most recent call last):
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/bin/cmk", line 85, in <module>
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     exit_status = modes.call(mode_name, mode_args, opts, args)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 69, in call
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     return handler(*handler_args)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/modes/cee.py", line 246, in mode_checker
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     checker.do_checker()
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/cee/keepalive/checker.py", line 33, in do_checker
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     _base.do_keepalive(serial=LATEST_SERIAL, executor_cls=CheckerExecutor)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/cee/keepalive/_base.py", line 167, in do_keepalive
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     status = executor(observer)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/cee/keepalive/checker.py", line 181, in __call__
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     return self._process_fetch_entry(messages)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/cee/keepalive/checker.py", line 163, in _process_fetch_entry
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     return checking.do_check(
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/decorator.py", line 38, in wrapped_check_func
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     status, infotexts, long_infotexts, perfdata = check_func(hostname, *args, **kwargs)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checking.py", line 214, in do_check
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     num_success, plugins_missing_data = _do_all_checks_on_host(
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checking.py", line 340, in _do_all_checks_on_host
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     success = execute_check(
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checking.py", line 483, in execute_check
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     submit, data_received, result = get_aggregated_result(
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checking.py", line 546, in get_aggregated_result
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     ) if host_config.is_cluster else multi_host_sections.get_section_kwargs(
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checkers/host_sections.py", line 206, in get_section_kwargs
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     kwargs = {
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checkers/host_sections.py", line 207, in <dictcomp>
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     key: self.get_parsed_section(host_key, parsed_section_name)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checkers/host_sections.py", line 263, in get_parsed_section
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     return self._get_parsed_section_with_cache_info(host_key, parsed_section_name)[0]
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checkers/host_sections.py", line 283, in _get_parsed_section_with_cache_info
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     parsed = self._get_parsing_result(host_key, section)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/checkers/host_sections.py", line 344, in _get_parsing_result
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     return self._parsing_results.setdefault(cache_key, section.parse_function(data))
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/plugins/agent_based/hr_mem.py", line 102, in parse_hr_mem
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     pre_parsed = pre_parse_hr_mem(string_table)
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]   File "/omd/sites/ultra/lib/python3/cmk/base/plugins/agent_based/hr_mem.py", line 52, in pre_parse_hr_mem
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log]     map_type = map_types[hrtype[:hrtype.rfind(".")]]
2021-01-15 19:49:23 [4] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] [log] KeyError: ''
2021-01-15 19:49:23 [2] [checker pool] [service "PTS-1;Check_MK"] [helper 1667] cannot read response: Resource temporarily unavailable
2021-01-15 19:49:23 [4] [checker pool] [helper 1667] closed error pipe
2021-01-15 19:49:25 [3] [checker pool] [helper 1667] exited with status 1
2021-01-15 19:49:25 [5] [checker pool] [helper 3125] started, commandline: /omd/sites/ultra/bin/cmk --debug --checker

cmk --debug -vvn hostname

Checkmk version 2.0.0b4
Try license usage history update.
Try aquire lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
Got lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
Try aquire lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Got lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Next run time has not been reached yet. Abort.
Releasing lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Released lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Releasing lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
Released lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
CRIT - Failed to lookup IPv4 address of hostname via DNS: [Errno -2] Name or service not known

cmk --debug -vvII hostname

Hostname or tag specification 'hostname' does not match any host.
Traceback (most recent call last):
  File "/omd/sites/ultra/bin/cmk", line 85, in <module>
    exit_status = modes.call(mode_name, mode_args, opts, args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 69, in call
    return handler(*handler_args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/check_mk.py", line 1506, in mode_discover
    hostnames = modes.parse_hostname_list(args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 160, in parse_hostname_list
    raise MKBailOut("Hostname or tag specification '%s' does "
cmk.utils.exceptions.MKBailOut: Hostname or tag specification 'hostname' does not match any host.

I guess from your debug when you say hostname you mean as in replace hostname by value ??? you should be more clear we should not need to debug your debug :stuck_out_tongue:

OMD[ultra]:~$ cmk --debug -vvII 127.0.0.1

Hostname or tag specification '127.0.0.1' does not match any host.
Traceback (most recent call last):
  File "/omd/sites/ultra/bin/cmk", line 85, in <module>
    exit_status = modes.call(mode_name, mode_args, opts, args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 69, in call
    return handler(*handler_args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/check_mk.py", line 1506, in mode_discover
    hostnames = modes.parse_hostname_list(args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 160, in parse_hostname_list
    raise MKBailOut("Hostname or tag specification '%s' does "
cmk.utils.exceptions.MKBailOut: Hostname or tag specification '127.0.0.1' does not match any host.

OMD[ultra]:~$ cmk --debug -vvII service

Hostname or tag specification 'service' does not match any host.
Traceback (most recent call last):
  File "/omd/sites/ultra/bin/cmk", line 85, in <module>
    exit_status = modes.call(mode_name, mode_args, opts, args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 69, in call
    return handler(*handler_args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/check_mk.py", line 1506, in mode_discover
    hostnames = modes.parse_hostname_list(args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 160, in parse_hostname_list
    raise MKBailOut("Hostname or tag specification '%s' does "
cmk.utils.exceptions.MKBailOut: Hostname or tag specification 'service' does not match any host.

OMD[ultra]:~$ cmk --debug -vvII ultra

Hostname or tag specification 'ultra' does not match any host.
Traceback (most recent call last):
  File "/omd/sites/ultra/bin/cmk", line 85, in <module>
    exit_status = modes.call(mode_name, mode_args, opts, args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 69, in call
    return handler(*handler_args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/check_mk.py", line 1506, in mode_discover
    hostnames = modes.parse_hostname_list(args)
  File "/omd/sites/ultra/lib/python3/cmk/base/modes/__init__.py", line 160, in parse_hostname_list
    raise MKBailOut("Hostname or tag specification '%s' does "
cmk.utils.exceptions.MKBailOut: Hostname or tag specification 'ultra' does not match any host.

+++

OMD[ultra]:~$ cmk --debug -vvn 127.0.0.1

Checkmk version 2.0.0b4
Try license usage history update.
Try aquire lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
Got lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
Try aquire lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Got lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Next run time has not been reached yet. Abort.
Releasing lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Released lock on /omd/sites/ultra/var/check_mk/license_usage/history.json
Releasing lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
Released lock on /omd/sites/ultra/var/check_mk/license_usage/next_run
+ FETCHING DATA
  Source: SourceType.HOST/FetcherType.PIGGYBACK
[cpu_tracking] Start [7facaf5384f0]
No piggyback files for '127.0.0.1'. Skip processing.
No piggyback files for '127.0.0.1'. Skip processing.
[PiggybackFetcher] Fetch with cache settings: NoCache(path=PosixPath('/omd/sites/ultra/tmp/check_mk/data_source_cache/piggyback/127.0.0.1'), max_age=0, disabled=False, use_outdated=False, simulation=False, Cache enabled: False
[PiggybackFetcher] Execute data source
[cpu_tracking] Stop [7facaf5384f0 - Snapshot(process=posix.times_result(user=0.0, system=0.0, children_user=0.0, children_system=0.0, elapsed=0.0))]
[cpu_tracking] Start [7facaf5384c0]
+ PARSE FETCHER RESULTS
  Source: SourceType.HOST/FetcherType.PIGGYBACK
No persisted sections loaded
  -> Add sections: []
Received no piggyback data
Loading item states
Try aquire lock on /omd/sites/ultra/tmp/check_mk/counters/127.0.0.1
Got lock on /omd/sites/ultra/tmp/check_mk/counters/127.0.0.1
Releasing lock on /omd/sites/ultra/tmp/check_mk/counters/127.0.0.1
Released lock on /omd/sites/ultra/tmp/check_mk/counters/127.0.0.1
No piggyback files for '127.0.0.1'. Skip processing.
No piggyback files for '127.0.0.1'. Skip processing.
[cpu_tracking] Stop [7facaf5384c0 - Snapshot(process=posix.times_result(user=0.0, system=0.0, children_user=0.0, children_system=0.0, elapsed=0.0))]
OK - execution time 0.0 sec | execution_time=0.000 user_time=0.000 system_time=0.000 children_user_time=0.000 children_system_time=0.000 cmk_time_agent=0.000

Why?

Also in your last example do you really use IPs as hostnames?

In the documentation there is also written that you need to use the name of your monitoring object. This is normally called “hostname”.

@MrD why do you try to troll use in a community forum this way?

Why be clear? – So people get the correct information collected ???
Using < > notification is standard practice or using words to clarify would be expected.

REFERENCE:

2.2. Considerations relating to DNS

"Even if Checkmk requires no name resolution of hosts, " …

WoW :poop:

@ andreas : Try providing actual facts backed by references to actually provide help? :yawning_face:

I’m setting up a LAB without DNS to demo / validate the product. The documentation also clearly stats the that defining the IP works. If you have some “Requirement” provide some solid data and references.

Hi @MrD!

This post seems more of a feedback on the 2.0 Beta rather than asking for help. I will add it to the Feedback category. Also, you can send feedback using feedback@checkmk.com, if you want to talk about it via e-mail. :slight_smile:

Andreas is a community volunteer, like a lot of people here in the forum, who help other Checkmk users in their free time. It is unfair to reply to him this way, please mind the language next time.

Cheers,
Faye